net.minecraft.entity.ai.attributes

## Class BaseAttributeMap

- java.lang.Object
- - net.minecraft.entity.ai.attributes.BaseAttributeMap

- Direct Known Subclasses:
    ServersideAttributeMap

      public abstract class BaseAttributeMap
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseAttributeMap()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `applyAttributeModifiers(com.google.common.collect.Multimap par1Multimap)`
    `void` | `func_111149_a(ModifiableAttributeInstance par1ModifiableAttributeInstance)`
    `abstract AttributeInstance` | `func_111150_b(Attribute attribute)`
    `Collection` | `getAllAttributes()`
    `AttributeInstance` | `getAttributeInstance(Attribute par1Attribute)`
    `AttributeInstance` | `getAttributeInstanceByName(String par1Str)`
    `void` | `removeAttributeModifiers(com.google.common.collect.Multimap par1Multimap)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### BaseAttributeMap

          public BaseAttributeMap()

  - ### Method Detail

    - #### getAttributeInstance

          public AttributeInstance getAttributeInstance(Attribute par1Attribute)

    - #### getAttributeInstanceByName

          public AttributeInstance getAttributeInstanceByName(String par1Str)

    - #### func_111150_b

          public abstract AttributeInstance func_111150_b(Attribute attribute)

    - #### getAllAttributes

          public Collection getAllAttributes()

    - #### func_111149_a

          public void func_111149_a(ModifiableAttributeInstance par1ModifiableAttributeInstance)

    - #### removeAttributeModifiers

          public void removeAttributeModifiers(com.google.common.collect.Multimap par1Multimap)

    - #### applyAttributeModifiers

          public void applyAttributeModifiers(com.google.common.collect.Multimap par1Multimap)